use 教学成绩管理数据库    --一条一条选中执行
go
-- 创建部分
create function [某班某课不及格表](@class varchar(15),@course varchar(15))
returns table as
return (select 学号,姓名,课程名称,分数,学年学期,考试类别 
         from 教学成绩表视图
         where 班级=@class and 课程名称=@course and 分数<60)
go
-- 查询部分
select * from 某班某课不及格表('03财会电算化','会计电算化')
select * from 某班某课不及格表('03电子商务','英语')
select * from 某班某课不及格表('03电子商务','大学语文')
